Inventor Change Drawing Layer

This Inventor Add in makes it easily possible to change the layer of a drawing curve in a drawing view to another layer.

Public Sub Main
Try
    Dim a As Inventor.DrawingDocument = ThisDrawing.Document
    Dim b As Inventor.DrawingCurveSegment
    Do While True
        Dim f As Inventor.SelectionFilterEnum = Inventor.SelectionFilterEnum.kDrawingCurveSegmentFilter
        b = ThisApplication.CommandManager.Pick(f, "Pick a Drawing View curve")
        
        Dim l As Inventor.DrawingStylesManager = a.StylesManager
        
        Dim la As Inventor.Layer = l.Layers.Item("1:02")
        
        b.Layer = la
        If b Is Nothing Then 
        Exit Do 
        End If
    Loop
Catch
End Try
End Sub







AI Website Generator